pamr.cv {pamr} | R Documentation

## A function to cross-validate the nearest shrunken centroid classifier

### Description

A function to cross-validate the nearest shrunken centroid classifier produced by pamr.train

### Usage

    pamr.cv(fit, data,  nfold = min(table(data$y)), folds = balanced.folds(data$y), ...)

### Arguments

`fit` | The result of a call to pamr.train
`data` | A list with at least two components: x- an expression genes in the rows, samples in the columns, and y- a vector of the class labels for each sample. Same form as data object used by pamr.train.
`nfold` | Number of cross-validation folds. Default is the smallest class size
`folds` | A list with nfold components, each component a vector of indices of the samples in that fold. By default a (random) balanced cross-validation is used
`...` |

{Any additional arguments that are to be passed to pamr.train}

### Details

`pamr.cv` carries out cross-validation for a nearest shrunken centroid classifier.

### Value

A list with components

`threshold` |
`errors` | The number of cross-validation errors for each threshold value
`loglik` | The cross-validated multinomial log-likelihood value for each threshold value
`size` | A vector of the number of genes that survived the thresholding, for each threshold value tried.
`yhat` | A matrix of size n by nthreshold, containing the cross-validated class predictions for each threshold value, in each column
`prob` | A matrix of size n by nthreshold, containing the cross-validated class probabilities for each threshold value, in each column
`folds` | The cross-validation folds used
`call` | The calling sequence used

### Author(s)

Trevor Hastie,Robert Tibshirani, Balasubramanian Narasimhan, and Gilbert Chu

### References

### Examples

    set.seed(120)
    x <- matrix(rnorm(1000*20),ncol=20)
    y <- sample(c(1:4),size=20,replace=TRUE)
    mydata <- list(x=x,y=y)
    mytrain <-   pamr.train(mydata)
    mycv <- pamr.cv(mytrain,mydata)

[Package Contents]